
# NOTE: The following commands assumes you have Git For Windows
# installed, which comes with a bunch of GNU tools packaged for windows:
Set-Variable -Name GIT_COMMIT -Value "$(git rev-list -1 HEAD)"
Set-Variable -Name CANONICAL_VERSION -Value "$(cat.exe ./VERSION)-$(uname)"
Set-Variable -Name VERSION_STRING -Value "$CANONICAL_VERSION-$GIT_COMMIT"

Set-Variable -Name buildpath -Value "build/$(uname)/gostations.exe"

go mod tidy

go build -o "$buildpath" -ldflags "-X main.version=$VERSION_STRING"

& $buildpath -v

Copy-Item $buildpath $HOME/.local/bin -Force

